﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        RadGrid1.ItemCommand += new GridCommandEventHandler(RadGrid1_ItemCommand);
        RadGrid1.ItemDataBound += new GridItemEventHandler(RadGrid1_ItemDataBound);
        
        
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridFilteringItem)
        {
            ((TextBox)((GridFilteringItem)e.Item)["CategoryID"].Controls[0]).Text = ((TextBox)((GridFilteringItem)e.Item)["CategoryName"].Controls[0]).Text;
        }
    }


    GridFilteringItem filterRow;

    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.FilterCommandName && ((Pair)e.CommandArgument).Second.ToString() == "CategoryID")
        {
           // e.Canceled = true;
            ((Pair)e.CommandArgument).Second = "CategoryName";
            ((TextBox)((GridFilteringItem)e.Item)["CategoryName"].Controls[0]).Text = ((TextBox)((GridFilteringItem)e.Item)["CategoryID"].Controls[0]).Text;
            e.Item.FireCommandEvent("Filter", e.CommandArgument);
            filterRow = (GridFilteringItem)e.Item;
        }
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);

        if (filterRow != null)
        {

            RadGrid1.MasterTableView.GetColumnSafe("CategoryID").CurrentFilterFunction = RadGrid1.MasterTableView.GetColumnSafe("CategoryName").CurrentFilterFunction; 
        }
    }
}
